<template>
  <div class="header-top">
    <div class="header-top__logo">
      <img src="../assets/images/logo.png" alt="">
    </div>
    <div class="header-top__catalog">
	    <img class="header-top__catalog-icon" src="../assets/images/catalogIcon.svg" alt="">
	    <span>Каталог</span>
    </div>
    <div class="header-top__search-box">
    	<input v-model="search" class="header-top__search-box-input" placeholder="Хочу найти...">
    	<img class="header-top__search-box-icon" src="../assets/images/searchIcon.svg" alt="">
    </div>
    <div class="header-top__list">
    	<img class="header-top__list-red-icon" src="../assets/images/redEllipse.svg" alt="">
    	<img class="header-top__list-icon" src="../assets/images/listIcon.svg" alt="">
    	<span>Каталог</span>
    </div>
    <div class="header-top__avatar">
    	<img src="../assets/images/avatar.png" alt="">
    </div>
  </div>
</template>

<script>
export default {
  name: 'HeaderTop',
  props: {
    
  }
}
</script>

<style scoped>

  .header-top {
  	display: flex;
  	align-items: center;
  	padding: 6px 85px 6px 85px; 
  	justify-content: space-between;
  	border-top: 1px solid #ECEFF1;
  	border-bottom: 1px solid #ECEFF1;
    font-size: 14px;
  }
  .header-top__logo {
  	width: 17%;
  	height: 48px;
  }
  .header-top__catalog{
  	width: 9%;
  	display: flex;
  	justify-content: center;
  	align-items: center;
  	height: 40px;
    background: #FED83D;
	border-radius: 4px;
  }
  .header-top__catalog-icon {
  	margin-right: 10.5px;
  }
  .header-top__search-box {
  	position: relative;
  	width: 47%;
  }
  .header-top__search-box-input {
  	padding: 0 14px;
  	width: 100%;
  	height: 40px;
  	background: #FFFFFF;
	border: 1px solid #ECEFF1;
	box-sizing: border-box;
	border-radius: 4px;
  }
  .header-top__search-box-icon {
  	top: 10px;
  	right: 20px; 
  	position: absolute;
  }
  .header-top__list {
  	display: flex;
  	justify-content: center;
  	align-items: center;
  	width: 10%;
  	position: relative;
  	height: 40px;
  	background: #FAFBFC;
	border: 1px solid #ECEFF1;
	box-sizing: border-box;
	border-radius: 4px;
  }
  .header-top__list-icon {
  	margin-right: 8px;
  }
  .header-top__list-red-icon {
  	position: absolute;
  	top: 6px;
  	left: 28px;
  	
  }
  .header-top__avatar {
  	
  	height: 40px;
  }
</style>
